Package org.bukkit.scoreboard

# Enum Class Team.Option

java.lang.Object
java.lang.Enum<Team.Option>
org.bukkit.scoreboard.Team.Option

All Implemented Interfaces:
  `Serializable`, `Comparable<Team.Option>`, `Constable`

Enclosing interface:
  Team

public static enum Team.Option extends Enum<Team.Option>
Represents an option which may be applied to this team.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COLLISION_RULE`
How players of this team collide with others.
`DEATH_MESSAGE_VISIBILITY`
How to display the death messages for players on this team.
`NAME_TAG_VISIBILITY`
How to display the name tags of players on this team.

## Method Summary

Modifier and Type
Method
Description
`static Team.Option`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Team.Option[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NAME_TAG_VISIBILITY

public static final Team.Option NAME_TAG_VISIBILITY
How to display the name tags of players on this team.

### DEATH_MESSAGE_VISIBILITY

public static final Team.Option DEATH_MESSAGE_VISIBILITY
How to display the death messages for players on this team.

### COLLISION_RULE

public static final Team.Option COLLISION_RULE
How players of this team collide with others.

## Method Details

### values

public static Team.Option[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Team.Option valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null